package jalview.ext.archaeopteryx;

import jalview.datamodel.Sequence;
import jalview.ext.forester.ForesterMatrix;
import jalview.math.MatrixI;

import org.forester.evoinference.matrix.distance.DistanceMatrix;

public final class MatrixConverter
{
  /**
   * Shouldn't get instantiated
   */
  private MatrixConverter()
  {

  }


  public static DistanceMatrix convertJalviewToForester(
          final MatrixI jalviewInputMatrix,
          final Sequence[] matrixSequences)
  {
    if (jalviewInputMatrix.width() != jalviewInputMatrix.height())
    {
      // some kind of warning?
    }
       DistanceMatrix foresterMatrix = new ForesterMatrix(jalviewInputMatrix,
            matrixSequences);
    return foresterMatrix;


  }

  public static DistanceMatrix convertJalviewToForester(
          final MatrixI jalviewInputMatrix,
          final String[] matrixIdentifiers)
  {
    if (jalviewInputMatrix.width() != jalviewInputMatrix.height())
    {
      // some kind of warning?
    }

    DistanceMatrix foresterMatrix = new ForesterMatrix(jalviewInputMatrix,
            matrixIdentifiers);
    return foresterMatrix;


  }




}
